/// <reference types="node" />
import { MarketStateData, TradeData, OfferData, ArbitratorCert, ConfigData, ProfileData } from "../types";
/**
 * Static abstract class definition to parse entities.
 * @category Parsables
 */
export interface ParsableEntity<T> {
    /**
     * Parse account data
     *
     * @param accountData Buffer data for the entity
     * @returns Parsed entity
     */
    parse: (accountData: Buffer | undefined | null) => T | null;
}
export declare class ParsableConfig {
    private constructor();
    static parse(data: Buffer | undefined | null): ConfigData | null;
}
export declare class ParsableMarketState {
    private constructor();
    static parse(data: Buffer | undefined | null): MarketStateData | null;
}
export declare class ParsableTrade {
    private constructor();
    static parse(data: Buffer | undefined | null): TradeData | null;
}
export declare class ParsableOffer {
    private constructor();
    static parse(data: Buffer | undefined | null): OfferData | null;
}
export declare class ParsableProfile {
    private constructor();
    static parse(data: Buffer | undefined | null): ProfileData | null;
}
export declare class ParsableArbitratorCert {
    private constructor();
    static parse(data: Buffer | undefined | null): ArbitratorCert | null;
}
